## net.sf.antcontrib.antserver.client
Class ClientTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.antserver.client.ClientTask

    public class ClientTask

extends org.apache.tools.ant.Task

Place class description here.

Since:
Author:
  Matthew Inger, <additional author>

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ClientTask()`

Method Summary
`void` `addConfiguredRunAnt(RunAntCommand cmd)`
`void` `addConfiguredRunTarget(RunTargetCommand cmd)`
`void` `addConfiguredSendFile(SendFileCommand cmd)`
`void` `addConfiguredShutdown(ShutdownCommand cmd)`
`void` `execute()`
`void` `setFailOnError(boolean failOnError)`
`void` `setMachine(java.lang.String machine)`
`void` `setPersistant(boolean persistant)`
`void` `setPort(int port)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientTask

    public ClientTask()

Method Detail

### setMachine

    public void setMachine(java.lang.String machine)

### setPort

    public void setPort(int port)

### setPersistant

    public void setPersistant(boolean persistant)

### setFailOnError

    public void setFailOnError(boolean failOnError)

### addConfiguredShutdown

    public void addConfiguredShutdown(ShutdownCommand cmd)

### addConfiguredRunTarget

    public void addConfiguredRunTarget(RunTargetCommand cmd)

### addConfiguredRunAnt

    public void addConfiguredRunAnt(RunAntCommand cmd)

### addConfiguredSendFile

    public void addConfiguredSendFile(SendFileCommand cmd)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`